<?php

use App\Http\Controllers\api\v1\Vendor\ServiceItemController;

Route::controller(ServiceItemController::class)->group(function () {
    Route::get('/available', 'index');
    Route::get('/available/{service_item_id}', 'show');
    Route::post('/services', 'store');
    Route::put('/services/{vendor_service_id}', 'update');
    Route::delete('/services/{vendor_service_id}', 'destroy');
    Route::patch('/services/{vendor_service_id}/toggle-status', 'toggleStatus');
    Route::get('/my-services', 'myServices');
});
